﻿Imports System.Drawing.Text
Imports FarPoint.PDF
Imports FarPoint.Win.Spread.CellType
Imports GrapeCity.Spreadsheet

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        FpSpread1_Sheet1.Protect = True
        FpSpread1.AsWorkbook().ActiveSheet.Protect(WorksheetLocks.Default And Not (WorksheetLocks.FormatColumns Or WorksheetLocks.FormatRows))
        FpSpread1_Sheet1.Columns(0, 3).Locked = False
        FpSpread1_Sheet1.Columns(4, FpSpread1_Sheet1.ColumnCount - 1).Locked = True
        FpSpread1_Sheet1.Rows(0, 7).Locked = True

        FpSpread1.ActiveSheet.ColumnHeader.Cells(0, 0, 0, FpSpread1_Sheet1.ColumnCount - 1).CellType = New UserHeaderCellType()
        FpSpread1.ActiveSheet.RowHeader.Cells(0, 0, FpSpread1_Sheet1.RowCount - 1, 0).CellType = New UserHeaderCellType()

    End Sub

    Private Sub FpSpread1_CellClick(sender As Object, e As FarPoint.Win.Spread.CellClickEventArgs) Handles FpSpread1.CellClick
        FpSpread1_Sheet1.Rows(e.Row).BackColor = System.Drawing.Color.LightBlue
        FpSpread1_Sheet1.Rows(FpSpread1_Sheet1.ActiveRowIndex).BackColor = System.Drawing.Color.White

    End Sub
End Class

Friend Class UserHeaderCellType
    Inherits GeneralCellType

    Public Overrides Sub PaintCell(g As PdfGraphics, r As RectangleF, appearance As FarPoint.Win.Spread.Appearance, value As Object, isSelected As Boolean, isLocked As Boolean, zoomFactor As Single)
        MyBase.PaintCell(g, r, appearance, value, isSelected, False, zoomFactor)
    End Sub
End Class
